Public Class fbtile

    Private player18 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("www.facebook.com/")
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            fbtt.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim fbileeaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler fbileeaTimer.Tick, AddressOf fbileeaTimer_Tick
        fbileeaTimer.Interval = New TimeSpan(0, 0, 1)
        fbileeaTimer.Start()
    End Sub

    Private Sub fbileeaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            fbtt.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub PlayAccentSound()
        Try
            player18.Volume = 1.0
            player18.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player18.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
